Quassel IRC - Bug #1484

Notifications Settings page always pops "Unsaved changes” dialog
05/22/2018 07:20 PM - phuzion
Target version:
Version: 0.12.4 0S: Windows

Description

Summary:

There is a warning dialog about unsaved changes every time the user navigates to the Settings > Interface > Notifications page,
regardless of whether changes were actually made.

Steps to Reproduce:

Open Settings > Configure Quassel

Click Notifications

Click another option (Highlight, for example)

User is presented with a warning dialog that reads "There are unsaved changes on the current configuration page. Would you
like to apply your changes now? Save Cancel Discard"

Expected result:
There should not be a dialog warning about unsaved changes, if no changes were made.
Actual result:

An unnecessary dialog is presented to the user, causing confusion.

Related issues:
Has duplicate Quassel IRC - Bug #1598: Going out of the Notifications tab in ... Closed 08/30/2020

History

#1 - 05/22/2018 08:26 PM - romibi

The issue is snore ...
It doesn't allow detecting changed settings and you either won't be able to use "apply" or get this "settings changed" window on leaving

#quassel@freenode:

2018-02-05 16:47 CET <TheOneRing> romibi: its a hack

2018-02-05 16:47 CET <TheOneRing> it was the only way to allow settings on that page
Still, it would be nice if a cleaner solution would be found...

#2 - 09/11/2020 03:28 AM - genius3000

- Has duplicate Bug #1598: Going out of the Notifications tab in Preferences always prompts to save or discard changes, even if no changes were
made. added
